%define upstream_name    Dist-Zilla-Plugin-SurgicalPodWeaver
%define upstream_version 0.0023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Surgically apply PodWeaver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
Dist::Zilla::Plugin::SurgicalPodWeaver will only PodWeaver a .pm if:

    1. There exists an # ABSTRACT: ...
    2. The +PodWeaver hint is present

If either condition is satisfied, PodWeavering will be done.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.2.300-7.mga10
+ Revision: 2198672
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.2.300-6.mga9
+ Revision: 1803389
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.300-5.mga8
+ Revision: 1494397
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.300-4.mga7
+ Revision: 1267564
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.300-3.mga6
+ Revision: 1026580
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.300-2.mga6
+ Revision: 966710
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.2.300-1.mga6
+ Revision: 846703
- update to 0.0023

* Wed Oct 15 2014 umeabot <umeabot> 0.2.100-3.mga5
+ Revision: 739523
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.2.100-1.mga5
+ Revision: 597005
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Plugin-SurgicalPodWeaver


* Tue Feb 25 2014 cpan2dist 0.0021-1mga
- initial mageia release, generated with cpan2dist
